Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++
# END SourceDeps(oneline)

Name:    kiconedit
Version: 4.4.0
Release: alt1_7
Summary: An icon editor

License: GPLv2+
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/extragear/%{name}-%{version}.tar.bz2

BuildRequires: kde4libs-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
Source44: import.info


%description
KIconEdit is designed to help create icons for 
KDE using the standard icon palette.


%prep
%setup -q

# update docbook version to make doc-translations build with kdelibs >= 4.5
sed -i -e 's#<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4\.1\.2-Based Variant V1\.1//EN" "dtd/kdex\.dtd" \[#<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook XML V4.2-Based Variant V1.1//EN" "dtd/kdex.dtd" [#g' doc-translations/*_kiconedit/*/index.docbook


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.DOC NEWS
%{_K4bindir}/kiconedit
%{_kde4_appsdir}/kiconedit/
%{_kde4_datadir}/applications/kde4/kiconedit.desktop
%{_K4iconsdir}/hicolor/*/*/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 4.4.0-alt1_7
- initial fc import

